
EXTRA_DIST =  Makefile

# Warning: This is an automatically generated file, do not edit!

srcdir=.
top_srcdir=..

include $(top_srcdir)/config.make

ifeq ($(CONFIG),DEBUG)
ASSEMBLY_COMPILER_COMMAND = mcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize- -debug "-define:TRACE;DEBUG" "-main:Ntp.Analyzer.Cli.Program"
ASSEMBLY = ../bin/Ntp.Analyzer.Cli.exe
ASSEMBLY_MDB = $(ASSEMBLY).mdb
COMPILE_TARGET = exe
PROJECT_REFERENCES =  \
	../bin/Ntp.Analyzer.dll \
	../bin/Ntp.Common.dll \
	../bin/Ntp.Analyzer.Process.dll
BUILD_DIR = ../bin

NTP_ANALYZER_CLI_EXE_MDB_SOURCE=../bin/Ntp.Analyzer.Cli.exe.mdb
NTP_ANALYZER_CLI_EXE_MDB=$(BUILD_DIR)/Ntp.Analyzer.Cli.exe.mdb
NTP_ANALYZER_DLL_SOURCE=../bin/Ntp.Analyzer.dll
NTP_ANALYZER_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.dll.mdb
NTP_ANALYZER_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.dll.mdb
NTP_ANALYZER_OBJECTS_DLL_SOURCE=../bin/Ntp.Analyzer.Objects.dll
NTP_ANALYZER_OBJECTS_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Objects.dll.mdb
NTP_ANALYZER_OBJECTS_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Objects.dll.mdb
NTP_DATA_DLL_SOURCE=../bin/Ntp.Data.dll
NTP_DATA_DLL_MDB_SOURCE=../bin/Ntp.Data.dll.mdb
NTP_DATA_DLL_MDB=$(BUILD_DIR)/Ntp.Data.dll.mdb
NTP_COMMON_DLL_SOURCE=../bin/Ntp.Common.dll
NTP_COMMON_DLL_MDB_SOURCE=../bin/Ntp.Common.dll.mdb
NTP_COMMON_DLL_MDB=$(BUILD_DIR)/Ntp.Common.dll.mdb
NTP_ANALYZER_DATA_DLL_SOURCE=../bin/Ntp.Analyzer.Data.dll
NTP_ANALYZER_DATA_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Data.dll.mdb
NTP_ANALYZER_DATA_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Data.dll.mdb
NTP_DATA_PROVIDER_DLL_SOURCE=../bin/Ntp.Data.Provider.dll
NTP_DATA_PROVIDER_DLL_MDB_SOURCE=../bin/Ntp.Data.Provider.dll.mdb
NTP_DATA_PROVIDER_DLL_MDB=$(BUILD_DIR)/Ntp.Data.Provider.dll.mdb
MYSQL_DATA_DLL_SOURCE=../packages/MySql.Data.6.9.9/lib/net45/MySql.Data.dll
NPGSQL_DLL_SOURCE=../packages/Npgsql.3.1.9/lib/net451/Npgsql.dll
NTP_ANALYZER_IMPORT_DLL_SOURCE=../bin/Ntp.Analyzer.Import.dll
NTP_ANALYZER_IMPORT_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Import.dll.mdb
NTP_ANALYZER_IMPORT_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Import.dll.mdb
NTP_ANALYZER_PROCESS_DLL_SOURCE=../bin/Ntp.Analyzer.Process.dll
NTP_ANALYZER_PROCESS_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Process.dll.mdb
NTP_ANALYZER_PROCESS_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Process.dll.mdb
NTP_ANALYZER_MONITOR_CLIENT_DLL_SOURCE=../bin/Ntp.Analyzer.Monitor.Client.dll
NTP_ANALYZER_MONITOR_CLIENT_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Monitor.Client.dll.mdb
NTP_ANALYZER_MONITOR_CLIENT_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Monitor.Client.dll.mdb
NTP_ANALYZER_MONITOR_SERVER_DLL_SOURCE=../bin/Ntp.Analyzer.Monitor.Server.dll
NTP_ANALYZER_MONITOR_SERVER_DLL_MDB_SOURCE=../bin/Ntp.Analyzer.Monitor.Server.dll.mdb
NTP_ANALYZER_MONITOR_SERVER_DLL_MDB=$(BUILD_DIR)/Ntp.Analyzer.Monitor.Server.dll.mdb

endif

ifeq ($(CONFIG),RELEASE)
ASSEMBLY_COMPILER_COMMAND = mcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:4 -optimize+ "-define:TRACE" "-main:Ntp.Analyzer.Cli.Program"
ASSEMBLY = ../bin/Ntp.Analyzer.Cli.exe
ASSEMBLY_MDB = 
COMPILE_TARGET = exe
PROJECT_REFERENCES =  \
	../bin/Ntp.Analyzer.dll \
	../bin/Ntp.Common.dll \
	../bin/Ntp.Analyzer.Process.dll
BUILD_DIR = ../bin

NTP_ANALYZER_CLI_EXE_MDB=
NTP_ANALYZER_DLL_SOURCE=../bin/Ntp.Analyzer.dll
NTP_ANALYZER_DLL_MDB=
NTP_ANALYZER_OBJECTS_DLL_SOURCE=../bin/Ntp.Analyzer.Objects.dll
NTP_ANALYZER_OBJECTS_DLL_MDB=
NTP_DATA_DLL_SOURCE=../bin/Ntp.Data.dll
NTP_DATA_DLL_MDB=
NTP_COMMON_DLL_SOURCE=../bin/Ntp.Common.dll
NTP_COMMON_DLL_MDB=
NTP_ANALYZER_DATA_DLL_SOURCE=../bin/Ntp.Analyzer.Data.dll
NTP_ANALYZER_DATA_DLL_MDB=
NTP_DATA_PROVIDER_DLL_SOURCE=../bin/Ntp.Data.Provider.dll
NTP_DATA_PROVIDER_DLL_MDB=
MYSQL_DATA_DLL_SOURCE=../packages/MySql.Data.6.9.9/lib/net45/MySql.Data.dll
NPGSQL_DLL_SOURCE=../packages/Npgsql.3.1.9/lib/net451/Npgsql.dll
NTP_ANALYZER_IMPORT_DLL_SOURCE=../bin/Ntp.Analyzer.Import.dll
NTP_ANALYZER_IMPORT_DLL_MDB=
NTP_ANALYZER_PROCESS_DLL_SOURCE=../bin/Ntp.Analyzer.Process.dll
NTP_ANALYZER_PROCESS_DLL_MDB=
NTP_ANALYZER_MONITOR_CLIENT_DLL_SOURCE=../bin/Ntp.Analyzer.Monitor.Client.dll
NTP_ANALYZER_MONITOR_CLIENT_DLL_MDB=
NTP_ANALYZER_MONITOR_SERVER_DLL_SOURCE=../bin/Ntp.Analyzer.Monitor.Server.dll
NTP_ANALYZER_MONITOR_SERVER_DLL_MDB=

endif

AL=al
SATELLITE_ASSEMBLY_NAME=$(notdir $(basename $(ASSEMBLY))).resources.dll

PROGRAMFILES = \
	$(NTP_ANALYZER_CLI_EXE_MDB) \
	$(NTP_ANALYZER_DLL) \
	$(NTP_ANALYZER_DLL_MDB) \
	$(NTP_ANALYZER_OBJECTS_DLL) \
	$(NTP_ANALYZER_OBJECTS_DLL_MDB) \
	$(NTP_DATA_DLL) \
	$(NTP_DATA_DLL_MDB) \
	$(NTP_COMMON_DLL) \
	$(NTP_COMMON_DLL_MDB) \
	$(NTP_ANALYZER_DATA_DLL) \
	$(NTP_ANALYZER_DATA_DLL_MDB) \
	$(NTP_DATA_PROVIDER_DLL) \
	$(NTP_DATA_PROVIDER_DLL_MDB) \
	$(MYSQL_DATA_DLL) \
	$(NPGSQL_DLL) \
	$(NTP_ANALYZER_IMPORT_DLL) \
	$(NTP_ANALYZER_IMPORT_DLL_MDB) \
	$(NTP_ANALYZER_PROCESS_DLL) \
	$(NTP_ANALYZER_PROCESS_DLL_MDB) \
	$(NTP_ANALYZER_MONITOR_CLIENT_DLL) \
	$(NTP_ANALYZER_MONITOR_CLIENT_DLL_MDB) \
	$(NTP_ANALYZER_MONITOR_SERVER_DLL) \
	$(NTP_ANALYZER_MONITOR_SERVER_DLL_MDB)  

BINARIES = \
	$(NTPA)  


RESGEN=resgen2

NTP_ANALYZER_DLL = $(BUILD_DIR)/Ntp.Analyzer.dll
NTP_ANALYZER_OBJECTS_DLL = $(BUILD_DIR)/Ntp.Analyzer.Objects.dll
NTP_DATA_DLL = $(BUILD_DIR)/Ntp.Data.dll
NTP_COMMON_DLL = $(BUILD_DIR)/Ntp.Common.dll
NTP_ANALYZER_DATA_DLL = $(BUILD_DIR)/Ntp.Analyzer.Data.dll
NTP_DATA_PROVIDER_DLL = $(BUILD_DIR)/Ntp.Data.Provider.dll
MYSQL_DATA_DLL = $(BUILD_DIR)/MySql.Data.dll
NPGSQL_DLL = $(BUILD_DIR)/Npgsql.dll
NTP_ANALYZER_IMPORT_DLL = $(BUILD_DIR)/Ntp.Analyzer.Import.dll
NTP_ANALYZER_PROCESS_DLL = $(BUILD_DIR)/Ntp.Analyzer.Process.dll
NTP_ANALYZER_MONITOR_CLIENT_DLL = $(BUILD_DIR)/Ntp.Analyzer.Monitor.Client.dll
NTP_ANALYZER_MONITOR_SERVER_DLL = $(BUILD_DIR)/Ntp.Analyzer.Monitor.Server.dll
NTPA = $(BUILD_DIR)/Ntp.Analyzer.Cli.exe

FILES =  \
	../Shared/AssemblyInfo.cs \
	Program.cs 

DATA_FILES = 

RESOURCES = 

EXTRAS = 

REFERENCES =  \
	../bin/Ntp.Analyzer.dll \
	../bin/Ntp.Analyzer.Process.dll \
	../bin/Ntp.Common.dll \
	System

DLL_REFERENCES = 

CLEANFILES = $(PROGRAMFILES) $(BINARIES) 

#Targets
all: $(ASSEMBLY) $(PROGRAMFILES) $(BINARIES)  $(top_srcdir)/config.make

include $(top_srcdir)/Makefile.include
#include $(srcdir)/custom-hooks.make



$(eval $(call emit-deploy-target,MYSQL_DATA_DLL))
$(eval $(call emit-deploy-target,NPGSQL_DLL))
$(eval $(call emit-deploy-wrapper,NTPA))


$(eval $(call emit_resgen_targets))
$(build_xamlg_list): %.xaml.g.cs: %.xaml
	xamlg '$<'


$(ASSEMBLY_MDB): $(ASSEMBLY)
$(ASSEMBLY): $(build_sources) $(build_resources) $(build_datafiles) $(DLL_REFERENCES) $(PROJECT_REFERENCES) $(build_xamlg_list) $(build_satellite_assembly_list)
	make pre-all-local-hook prefix=$(prefix)
	mkdir -p $(shell dirname $(ASSEMBLY))
	$(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$(ASSEMBLY) -target:$(COMPILE_TARGET) $(build_sources_embed) $(build_resources_embed) $(build_references_ref)
	make post-all-local-hook prefix=$(prefix)

install-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
	make pre-install-local-hook prefix=$(prefix)
	make install-satellite-assemblies prefix=$(prefix)
	mkdir -p '$(DESTDIR)$(libdir)/$(PACKAGE)'
	$(call cp,$(ASSEMBLY),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(ASSEMBLY_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_CLI_EXE_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_OBJECTS_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_OBJECTS_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_DATA_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_DATA_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_COMMON_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_COMMON_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_DATA_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_DATA_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_DATA_PROVIDER_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_DATA_PROVIDER_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(MYSQL_DATA_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NPGSQL_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_IMPORT_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_IMPORT_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_PROCESS_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_PROCESS_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_MONITOR_CLIENT_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_MONITOR_CLIENT_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_MONITOR_SERVER_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(NTP_ANALYZER_MONITOR_SERVER_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	mkdir -p '$(DESTDIR)$(bindir)'
	$(call cp,$(NTPA),$(DESTDIR)$(bindir))
	make post-install-local-hook prefix=$(prefix)

uninstall-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
	make pre-uninstall-local-hook prefix=$(prefix)
	make uninstall-satellite-assemblies prefix=$(prefix)
	$(call rm,$(ASSEMBLY),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(ASSEMBLY_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_CLI_EXE_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_OBJECTS_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_OBJECTS_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_DATA_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_DATA_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_COMMON_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_COMMON_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_DATA_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_DATA_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_DATA_PROVIDER_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_DATA_PROVIDER_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(MYSQL_DATA_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NPGSQL_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_IMPORT_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_IMPORT_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_PROCESS_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_PROCESS_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_MONITOR_CLIENT_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_MONITOR_CLIENT_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_MONITOR_SERVER_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTP_ANALYZER_MONITOR_SERVER_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call rm,$(NTPA),$(DESTDIR)$(bindir))
	make post-uninstall-local-hook prefix=$(prefix)

install: install-local
uninstall: uninstall-local
clean: clean-local

include $(top_srcdir)/rules.make
